Name:           kding
Summary:        A KDE4-port of DING
Version:        0.6
Release:        %mkrel 2
License:        GPL
URL:            http://www.rexi.org/software/kding/
Group:          Education
Source0:        %{name}-%{version}.tar.bz2
Patch0:         %{name}-docbook.patch
BuildRequires:  kde4-macros
BuildRequires:  kdelibs4-devel
BuildRequires:  cmake 

%description
KDing is a KDE port of Ding, a dictionary lookup program. It sits in
KDE's system tray and can translate the current clipboard content. Users can
also enter single words or phrases for translation. It is intended to be used
for translating between German and English, but can be used with every
language for which a word list is available for Ding.

Author: Michael Rex <me@rexi.org>


%prep
%setup -q
%patch0 -b0

%build
%cmake_kde4
%make


%install
rm -rf %{buildroot}
cd build
%makeinstall_std


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/kde4/%{name}.desktop
%{_datadir}/apps/%{name}/*
%{_datadir}/config.kcfg/%{name}.kcfg
%{_datadir}/doc/HTML/de/%{name}/*
%{_datadir}/doc/HTML/en/%{name}/*
%{_iconsdir}/hicolor/*
%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.6-2.mga3
+ Revision: 356112
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 15 2011 obgr_seneca <obgr_seneca> 0.6-1.mga2
+ Revision: 124434
- added docbook patch
- imported package kding

